MOUNTD(8)

NAME
mountd - service remote NFS mount requests

SYNOPSIS
mountd [-2dlnr] [exportsfile]

DESCRIPTION
Mountd is the server for NFS mount requests from other client machines. It listens for service requests at the port indicated in the NFS server specification; see RFC1094, Appendix A and Appendix I.

The following options are available:

-2  Allow the administrator to force clients to use only the version 2 NFS protocol to mount filesystems from this server.

-d  Output debugging information.

-l  Cause all succeeded mountd requests to be logged.

-n  Allow non-root mount requests to be served. This should only be specified if there are clients such as PC's, that require it. It will automatically clear the vfs.nfs.nfs_privport sysctl flag, which controls if the kernel will accept NFS requests from reserved ports only.

-r  Allow mount RPCs requests for regular files to be served. Although this seems to violate the mount protocol specification, some diskless workstations do mount requests for their swapfiles and expect them to be regular files. Since a regular file cannot be specified in /etc/exports, the entire file system in which the swapfiles resides will have to be exported with the -alldirs flag.

exportsfile
    Specify an alternate location for the exports file.

When mountd is started, it loads the export host addresses and options into the kernel using the mount(2) system call. After changing the exports file, a hangup signal should be sent to the mountd daemon to get it to reload the export information. After sending the SIGHUP (kill -s HUP `cat /var/run/mountd.pid`), check the syslog output to see if mountd logged any parsing errors in the exports file.

If mountd detects that the running kernel does not include NFS support, it will attempt to load a loadable kernel module containing NFS code, using kldload(8) by way of vfsload(3). If this fails, or no NFS KLD was available, mountd exits with an error.

FILES
/etc/exports
    the list of exported filesystems
/var/run/mountd.pid
    the pid of the currently running mountd
/var/db/mountdtab
    the current list of remote mounted filesystems

SEE ALSO
nfsstat(1), exports(5), kldload(8), nfsd(8), portmap(8), showmount(8)

HISTORY
The mountd utility first appeared in 4.4BSD.